SHARE
TWEET

Untitled

a guest Jan 21st, 2020 70 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. cortex.lib.exceptions.UserException: error: api frames-extractor: error in predictor.py: libSM.so.6: cannot open shared object file: No such file or directory
  2. 2020-01-21 14:10:46.337099:cortex:INFO:loading the predictor from predictor.py
  3. 2020-01-21 14:10:46.339480:cortex:ERROR:failed to start api
  4. Traceback (most recent call last):
  5.   File "/src/cortex/lib/context.py", line 124, in load_module
  6.     impl = imp.load_source(full_module_name, impl_path)
  7.   File "/usr/lib/python3.6/imp.py", line 172, in load_source
  8.     module = _load(spec)
  9.   File "<frozen importlib._bootstrap>", line 684, in _load
  10.   File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  11.   File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  12.   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  13.   File "/mnt/project/predictor.py", line 1, in <module>
  14.     import cv2
  15.   File "/usr/local/lib/python3.6/dist-packages/cv2/__init__.py", line 3, in <module>
  16.     from .cv2 import *
  17. ImportError: libSM.so.6: cannot open shared object file: No such file or directory
  18.  
  19. The above exception was the direct cause of the following exception:
  20.  
  21. Traceback (most recent call last):
  22.   File "/src/cortex/python_serve/api.py", line 127, in start
  23.     predictor_class = ctx.get_predictor_class(api["name"], args.project_dir)
  24.   File "/src/cortex/lib/context.py", line 145, in get_predictor_class
  25.     "predictor", api["name"], os.path.join(project_dir, api["predictor"]["path"])
  26.   File "/src/cortex/lib/context.py", line 126, in load_module
  27.     raise UserException(str(e)) from e
  28. cortex.lib.exceptions.UserException: error: api frames-extractor: error in predictor.py: libSM.so.6: cannot open shared object file: No such file or directory
  29. 2020-01-21 14:13:33.356959:cortex:INFO:loading the predictor from predictor.py
  30. 2020-01-21 14:13:33.359343:cortex:ERROR:failed to start api
  31. Traceback (most recent call last):
  32.   File "/src/cortex/lib/context.py", line 124, in load_module
  33.     impl = imp.load_source(full_module_name, impl_path)
  34.   File "/usr/lib/python3.6/imp.py", line 172, in load_source
  35.     module = _load(spec)
  36.   File "<frozen importlib._bootstrap>", line 684, in _load
  37.   File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  38.   File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  39.   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  40.   File "/mnt/project/predictor.py", line 1, in <module>
  41.     import cv2
  42.   File "/usr/local/lib/python3.6/dist-packages/cv2/__init__.py", line 3, in <module>
  43.     from .cv2 import *
  44. ImportError: libSM.so.6: cannot open shared object file: No such file or directory
  45.  
  46. The above exception was the direct cause of the following exception:
  47.  
  48. Traceback (most recent call last):
  49.   File "/src/cortex/python_serve/api.py", line 127, in start
  50.     predictor_class = ctx.get_predictor_class(api["name"], args.project_dir)
  51.   File "/src/cortex/lib/context.py", line 145, in get_predictor_class
  52.     "predictor", api["name"], os.path.join(project_dir, api["predictor"]["path"])
  53.   File "/src/cortex/lib/context.py", line 126, in load_module
  54.     raise UserException(str(e)) from e
  55. cortex.lib.exceptions.UserException: error: api frames-extractor: error in predictor.py: libSM.so.6: cannot open shared object file: No such file or directory
  56. 2020-01-21 14:18:36.323716:cortex:INFO:loading the predictor from predictor.py
  57. 2020-01-21 14:18:36.326078:cortex:ERROR:failed to start api
  58. Traceback (most recent call last):
  59.   File "/src/cortex/lib/context.py", line 124, in load_module
  60.     impl = imp.load_source(full_module_name, impl_path)
  61.   File "/usr/lib/python3.6/imp.py", line 172, in load_source
  62.     module = _load(spec)
  63.   File "<frozen importlib._bootstrap>", line 684, in _load
  64.   File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  65.   File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  66.   File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  67.   File "/mnt/project/predictor.py", line 1, in <module>
  68.     import cv2
  69.   File "/usr/local/lib/python3.6/dist-packages/cv2/__init__.py", line 3, in <module>
  70.     from .cv2 import *
  71. ImportError: libSM.so.6: cannot open shared object file: No such file or directory
  72.  
  73. The above exception was the direct cause of the following exception:
  74.  
  75. Traceback (most recent call last):
  76.   File "/src/cortex/python_serve/api.py", line 127, in start
  77.     predictor_class = ctx.get_predictor_class(api["name"], args.project_dir)
  78.   File "/src/cortex/lib/context.py", line 145, in get_predictor_class
  79.     "predictor", api["name"], os.path.join(project_dir, api["predictor"]["path"])
  80.   File "/src/cortex/lib/context.py", line 126, in load_module
  81.     raise UserException(str(e)) from e
  82. cortex.lib.exceptions.UserException: error: api frames-extractor: error in predictor.py: libSM.so.6: cannot open shared object file: No such file or directory
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Top